Auto Install Proprietary Driver video-nvidia-455xx failed

Error message:

> Using config 'video-nvidia-455xx' for device: 0000:01:00.0 (0300:10de:1b82) Display controller nVidia Corporation GP104 [GeForce GTX 1070 Ti]

Error: config 'video-nvidia-455xx' conflicts with config(s): video-nvidia-450xx!

I don’t understand, this used to work… … … ?

[ljohnson@kise-005 Desktop]$ mhwd -l  --pci

0000:01:00.0 (0300:10de:1b82) Display controller nVidia Corporation:


              NAME               VERSION          FREEDRIVER           TYPE

video-nvidia-455xx            2020.10.04               false            PCI
video-nvidia-450xx            2020.10.04               false            PCI
video-nvidia-440xx            2020.10.04               false            PCI
video-nvidia-435xx            2020.10.04               false            PCI
video-nvidia-430xx            2020.10.04               false            PCI
video-nvidia-418xx            2020.10.04               false            PCI
video-nvidia-390xx            2020.10.04               false            PCI
       video-linux            2018.05.04                true            PCI
 video-modesetting            2020.01.13                true            PCI
        video-vesa            2017.03.12                true            PCI

0000:04:00.0 (0200:10ec:8168) Network controller Realtek Semiconductor Co., Ltd.:


              NAME               VERSION          FREEDRIVER           TYPE

     network-r8168            2016.04.20                true            PCI

0000:00:02.0 (0380:8086:0102) Display controller Intel Corporation:


              NAME               VERSION          FREEDRIVER           TYPE

       video-linux            2018.05.04                true            PCI

then

[ljohnson@kise-005 Desktop]$ sudo mhwd -i pci video-nvidia-455xx
Error: config 'video-nvidia-455xx' conflicts with config(s): video-nvidia-450xx


[ljohnson@kise-005 Desktop]$ yay -Syyuu
:: Synchronizing package databases...
 core                             169.2 KiB  2.62 MiB/s 00:00 [#################################]                             100%
  extra                           2038.1 KiB  11.1 MiB/s 00:00 [#################################]      100%
  community                          6.2 MiB  10.3 MiB/s 00:01 [#################################] 100%
  multilib                         193.0 KiB  9.42 MiB/s 00:00 [#################################] 100%
 :: Starting full system upgrade...
  there is nothing to do
 :: Searching databases for updates...

: : Searching AUR for updates…
-> Flagged Out Of Date AUR Packages: freefilesync
there is nothing to do

video-nvidia-450xx needs to be removed first.

2 Likes
utils>=450.51.06' required by cuda

:: removing nvidia-450xx-utils breaks dependency 'nvidia-utils' required by nvtop

Error: pacman failed!

Error: script failed!

utils>=450.51.06' required by cuda

:: removing nvidia-450xx-utils breaks dependency 'nvidia-utils' required by nvtop


Error: pacman failed!

Error: script failed!

[ljohnson@kise-005 Desktop]$ yay -R nvtop
checking dependencies...

Packages (1) nvtop-1.0.0-2

Total Removed Size:  0.06 MiB

:: Do you want to remove these packages? [Y/n] 
:: Processing package changes...
(1/1) removing nvtop                               [######################] 100%
:: Running post-transaction hooks...
(1/1) Arming ConditionNeedsUpdate...

Starting
> Removing video-nvidia-450xx...
Sourcing /etc/mhwd-x86_64.conf
Has lib32 support: true
Sourcing /var/lib/mhwd/local/pci/video-nvidia-450xx/MHWDCONFIGv        
Processing classid: 0300
Sourcing /var/lib/mhwd/scripts/include/0300
Processing classid: 0302
checking dependencies...
error: failed to prepare transaction (could not satisfy dependencies)
:: removing nvidia-450xx-utils breaks dependency 'nvidia-utils>=450.51.06' required by cuda
Error: pacman failed!
Error: script failed!

[ljohnson@kise-005 Desktop]$ yay -R cuda
checking dependencies...

Packages (1) cuda-11.0.3-1

Total Removed Size:  5169.80 MiB

:: Do you want to remove these packages? [Y/n] 
:: Processing package changes...
(1/1) removing cuda                                [#################] 100%
:: Running post-transaction hooks...
(1/1) Arming ConditionNeedsUpdate...

(1/4) Reloading system manager configuration...

(2/4) Arming ConditionNeedsUpdate...

(3/4) Updating module dependencies...

(4/4) Updating the desktop file MIME type cache...
> Successfully removed video-nvidia-450xx

Starting

Using config ‘video-nvidia-455xx’ for device: 0000:01:00.0 (0300:10de:1b82) Display controller nVidia Corporation GP104 [GeForce GTX 1070 Ti]

Installing video-nvidia-455xx…

Sourcing /etc/mhwd-x86_64.conf

Has lib32 support: true

Sourcing /var/lib/mhwd/db/pci/graphic_drivers/nvidia-455xx/MHWDCONFIG

Processing classid: 0300

Sourcing /var/lib/mhwd/scripts/include/0300

Processing classid: 0302

:: Synchronizing package databases…

core is up to date

extra is up to date

community is up to date

multilib is up to date

resolving dependencies…

looking for conflicting packages…

Packages (5) lib32-nvidia-455xx-utils-455.28-1 linux54-nvidia-455xx-455.28-3 linux58-nvidia-455xx-455.28-3 linux59-nvidia-455xx-455.28-2 nvidia-455xx-utils-455.28-2

Total Download Size: 167.10 MiB

Total Installed Size: 479.46 MiB

:: Proceed with installation? [Y/n]

:: Retrieving packages…

downloading nvidia-455xx-utils-455.28-2-x86_64.pkg.tar.zst…

downloading linux54-nvidia-455xx-455.28-3-x86_64.pkg.tar.zst…

downloading linux58-nvidia-455xx-455.28-3-x86_64.pkg.tar.zst…

downloading linux59-nvidia-455xx-455.28-2-x86_64.pkg.tar.zst…

downloading lib32-nvidia-455xx-utils-455.28-1-x86_64.pkg.tar.zst…

checking keyring…

checking package integrity…

loading package files…

checking for file conflicts…

checking available disk space…

:: Processing package changes…

installing nvidia-455xx-utils…

==> If you run into trouble with CUDA not being available, run nvidia-modprobe first.

Optional dependencies for nvidia-455xx-utils

gtk3: nvidia-settings [installed]

xorg-server-devel: nvidia-xconfig

opencl-nvidia: OpenCL support [installed]

installing lib32-nvidia-455xx-utils…

Optional dependencies for lib32-nvidia-455xx-utils

lib32-opencl-nvidia-455xx

installing linux54-nvidia-455xx…

In order to use nvidia module, reboot the system.

installing linux58-nvidia-455xx…

In order to use nvidia module, reboot the system.

installing linux59-nvidia-455xx…

In order to use nvidia module, reboot the system.

:: Running post-transaction hooks…

(1/6) Creating system user accounts…

(2/6) Reloading system manager configuration…

(3/6) Arming ConditionNeedsUpdate…

(4/6) Updating module dependencies…

(5/6) Updating Kernel initcpios for Nvidia-DRM…

==> Building image from preset: /etc/mkinitcpio.d/linux54.preset: ‘default’

-> -k /boot/vmlinuz-5.4-x86_64 -c /etc/mkinitcpio.conf -g /boot/initramfs-5.4-x86_64.img

==> Starting build: 5.4.72-1-MANJARO

-> Running build hook: [base]

-> Running build hook: [udev]

-> Running build hook: [autodetect]

-> Running build hook: [modconf]

-> Running build hook: [block]

-> Running build hook: [keyboard]

-> Running build hook: [keymap]

-> Running build hook: [resume]

-> Running build hook: [filesystems]

==> Generating module dependencies

==> Creating gzip-compressed initcpio image: /boot/initramfs-5.4-x86_64.img

==> Image generation successful

==> Building image from preset: /etc/mkinitcpio.d/linux54.preset: ‘fallback’

-> -k /boot/vmlinuz-5.4-x86_64 -c /etc/mkinitcpio.conf -g /boot/initramfs-5.4-x86_64-fallback.img -S autodetect

==> Starting build: 5.4.72-1-MANJARO

-> Running build hook: [base]

-> Running build hook: [udev]

-> Running build hook: [modconf]

-> Running build hook: [block]

-> Running build hook: [keyboard]

-> Running build hook: [keymap]

-> Running build hook: [resume]

-> Running build hook: [filesystems]

[ljohnson@kise-005 Desktop]$ yay -S cuda
resolving dependencies…
looking for conflicting packages…

Packages (1) cuda-11.0.3-1

Total Installed Size: 5169.80 MiB

:: Proceed with installation? [Y/n]
(1/1) checking keys in keyring [#################] 100%
(1/1) checking package integrity [#################] 100%
(1/1) loading package files [#################] 100%
(1/1) checking for file conflicts [#################] 100%
(1/1) checking available disk space [#################] 100%
:: Processing package changes…
(1/1) installing cuda [#################] 100%
The cuda binaries are in /opt/cuda/bin
The cuda samples are in /opt/cuda/samples
The cuda docs are in /opt/cuda/doc
You need to relogin in order for the cuda binaries to appear in your PATH
Optional dependencies for cuda
gdb: for cuda-gdb [installed]
java-runtime=8: for nsight and nvvp [installed]
:: Running post-transaction hooks…
(1/1) Arming ConditionNeedsUpdate…

[ljohnson@kise-005 Desktop]$ yay -S nvtop
resolving dependencies…
looking for conflicting packages…

Packages (1) nvtop-1.0.0-2

Total Installed Size: 0.06 MiB

:: Proceed with installation? [Y/n]
(1/1) checking keys in keyring [#################] 100%
(1/1) checking package integrity [#################] 100%
(1/1) loading package files [#################] 100%
(1/1) checking for file conflicts [#################] 100%
(1/1) checking available disk space [#################] 100%
:: Processing package changes…
(1/1) installing nvtop [#################] 100%
:: Running post-transaction hooks…
(1/1) Arming ConditionNeedsUpdate…

You will have to temporarily remove packages which depend on the nvidia driver, like nvtop and cuda.
sudo pacman -R nvtop cuda

After this:

  • remove the nvidia-450xx driver
  • install the nvidia-455xx driver
  • install nvtop and cuda again if you use them

“Auto Install Proprietary Driver” should be renamed “Might Auto Install Proprietary Driver”
and Help for this function should be included.

1 Like

Might want to read the announcements Known issues and solutionsi part.

This was covered already in the forum, countless times.